# People HR — HRIS API: gotchas

> Canonical URL: https://developers.apideck.com/apis/hris/people-hr/gotchas

## GET /hris/employees

People HR does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /hris/time-off-requests

In PeopleHR, it is mandatory to provide the employee_id in the filter.

## POST /hris/time-off-requests

In PeopleHR, day_part value should be AM or PM. It is mandatory to provide the employee_id in the request body.


[API reference](https://developers.apideck.com/apis/hris/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/hris/coverage)
